plugins {
    alias(libs.plugins.android.application)
}

android {
    compileSdk = 37

    buildFeatures {
        buildConfig = true
    }

    defaultConfig {
        minSdk = 23
        targetSdk = 37

        versionCode = 1
        versionName = "1.0"
    }

    buildTypes {
        release {
            isMinifyEnabled = false

            proguardFiles(getDefaultProguardFile("proguard-android-optimize.txt"), "proguard-rules.pro")
        }
    }

    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }

    namespace = "com.tritondigital.sdksample"
}

repositories {
    mavenCentral()
    mavenLocal()

    flatDir {
        dirs("libs")
    }
}

dependencies {
    api(mapOf("name" to (property("TRITON_SDK") as String), "ext" to "aar"))

    api(libs.appcompat)
    api(libs.play.services.analytics)
    api(libs.play.services.base)
    api(libs.play.services.cast)

    implementation(libs.media3.exoplayer)
    implementation(libs.media3.exoplayer.hls)
}